fwupd and fwupdate fail with failed to open plugin /usr/lib/x86_64-linux-gnu/fwupd-plugins-3/libfu_plugin_uefi.so: failed to open plugin: /usr/lib/x86_64-linux-gnu/libefivar.so.1: version `LIBEFIVAR_1.32' not found (required by /usr/lib/x86_64-linux-gnu/libfwup.so.1)

Bug #1749471 reported by Jean-Baptiste Lallement on 2018-02-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fwupdate (Ubuntu)
Critical
Mario Limonciello
fwupdate-signed (Ubuntu)
Critical
Mario Limonciello

Bug Description

Bionic up to date after update of efivar to 34.1

$ fwupdate
fwupdate: /usr/lib/x86_64-linux-gnu/libefivar.so.1: version `LIBEFIVAR_1.32' not found (required by /usr/lib/x86_64-linux-gnu/libfwup.so.1)

and from the journal
févr. 14 15:18:30 Inspiron fwupd[2087]: failed to open plugin /usr/lib/x86_64-linux-gnu/fwupd-plugins-3/libfu_plugin_uefi.so: failed to open plugin: /usr/lib/x86_64-linux-gnu/libefivar.so.1: version `LIBEFIVAR_1.32' not found (required by /usr/lib/x86_64-linux-gnu/libfwup.so.1)
févr. 14 15:18:30 Inspiron fwupd[2087]: failed to open plugin /usr/lib/x86_64-linux-gnu/fwupd-plugins-3/libfu_plugin_dell.so: failed to open plugin: /usr/lib/x86_64-linux-gnu/libefivar.so.1: version `LIBEFIVAR_1.32' not found (required by /usr/lib/x86_64-linux-gnu/libfwup.so.1)

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: fwupd 1.0.4-3build1
ProcVersionSignature: Ubuntu 4.13.0-32.35-generic 4.13.13
Uname: Linux 4.13.0-32-generic x86_64
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Wed Feb 14 15:31:16 2018
InstallationDate: Installed on 2018-02-01 (13 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180129)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: fwupd
UpgradeStatus: No upgrade log present (probably fresh install)

Jean-Baptiste Lallement (jibel) wrote :
affects: fwupd (Ubuntu) → fwupdate (Ubuntu)
description: updated
Mario Limonciello (superm1) wrote :

I'm surprised it migrated like this and didn't trigger autopkgtests for fwupd that failed. I'll take care of it.

Changed in fwupdate (Ubuntu):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Mario Limonciello (superm1)
Mario Limonciello (superm1) wrote :

Uploaded new fwupdate to unstable and fwupdate-signed to bionic.

Changed in fwupdate (Ubuntu):
status: In Progress → Fix Committed
Changed in fwupdate-signed (Ubuntu):
status: New → Fix Committed
importance: Undecided → Critical
assignee: nobody → Mario Limonciello (superm1)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fwupdate-signed - 1.18

---------------
fwupdate-signed (1.18) bionic; urgency=medium

  * Update to standards version 4.1.3.
  * Build-depend on fwupdate 10-3 (LP: #1749471)

 -- Mario Limonciello <email address hidden> Wed, 14 Feb 2018 10:07:35 -0600

Changed in fwupdate-signed (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fwupdate - 10-3

---------------
fwupdate (10-3) unstable; urgency=medium

  [ Steve Mcintyre ]
  * Move git repo from alioth to salsa.d.o

  [ Mario Limonciello ]
  * Build depend on efivar 34-1 to rebuild against new efivar (LP: #1749471)
  * Bump standards version

 -- Mario Limonciello <email address hidden> Wed, 14 Feb 2018 09:57:55 -0600

Changed in fwupdate (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers